Jump to content
(AMC)

Minecraft mod pack created for Asterion Minecraft

This is a legacy project. Support for this project was discontinued in January 2016.

While Ginever Entertainment no longer provides any official support for this project, you may be able to find help within the wider Ginever community. For more information, feel free to ask in the forums or in our Discord server.

Download Robbit Launcher 3

This page contains all downloads related to Robbit.

Robbit Launcher 3 is an all-in-one launcher and patcher for Robbit, a Minecraft mod pack developed for Asterion Minecraft (2011-2016) which was previously distributed using the Asterion Launcher. Since the closedown of Asterion, the development of the pack has mostly been frozen, but despite this, a new version of the launcher has been made available to the public so that the hard work spent on Robbit's development is not completely wasted. Since Asterion has now been closed down the new launcher has been rebranded and is now called Robbit Launcher.

The legacy edition of Robbit Exciting Eclair is provided so that you can open the world files from the Asterion Minecraft server (available to download from asterionmc.com) and look around for reminiscing purposes. You can also set up single-player and LAN worlds in order to continue the Robbit experience if you so wish. However, no official support is provided for this very outdated release and there is no guarantee that you will be able to resolve any issues you may encounter (although you might be able to get limited support on an ad-hoc basis by asking around in the forums or Discord server)

A bleeding edge version of Robbit based on the development branch of Fondant Fancy is also available to download. This incomplete test build exists to show off some of the work that was done towards the next release of Robbit prior to the closedown of the Asterion server. Use of this version is experimental and you try it out at your own risk. As with the legacy edition, no support is officially provided for the bleeding edge release of Robbit (although there are sometimes infrequent bug fixes made to the pack every now and then)

Please Note: This launcher and the mod packs contained within it are intended for use by former players of Asterion Minecraft only and are considered “private mod packs” by the developer. The launcher is provided on this website purely for the convenience of Asterion Minecraft’s user base so that they can resume their use of Robbit quickly without any technical knowledge. Use of this launcher for purposes not relating to Asterion Minecraft is neither recommended nor supported.


Windows Robbit Launcher 3 for Windows Bootstrap v1.5.1

  • RobbitLauncher.msi (1.07 MB)
  • Updated
  • 4462 downloads

Windows users: Download and install the launcher using the MSI setup file. On launch, the Java runtime and launcher will be automatically updated to the latest available version.

Please note that .NET Framework version 2.0/3.0/3.5 must be installed in order to use this version of the launcher bootstrap. It is installed by default on Windows Vista/7. Computers running Windows 8 or later will receive an install prompt on first launch if they don't already have it installed.

If you still use Windows XP: We don't provide support for this platform, but last time we tested the launcher on XP it worked. Your mileage may vary.

Known issue: The 'remove additional data files' option provided with the uninstaller does not always function properly. See LCH-711 for current tracking of this issue.

MacOS Linux Robbit Launcher 3 for Mac & Linux Bootstrap v1.4.2

  • bootstrap.jar (2.75 MB)
  • Updated
  • 405 downloads

Mac users: Download the bootstrap.jar and run it. The launcher will install to Application Support folder. Java Development Kit 8u40 or later must be installed for the bootstrap and launcher to work.

Linux users: Download the bootstrap.jar, place it in the desired directory and then run it. The launcher will be installed to wherever you placed the jar file. OpenJDK and OpenJFX 8u40 or later must be installed for the bootstrap and launcher to work. On Ubuntu 15.04 or later you can install the required dependencies with this command: 

sudo apt-get install openjdk-8-jre openjdk-8-jre-headless openjfx

If you are still using Ubuntu 14, updating to Ubuntu 16 or later is advised.

×
×
  • Create New...